%define shortname tagpy

Summary:	Python bindings for TagLib to read and write music files tags
Name:		python-tagpy
Version:	0.94.5
Release:	%{mkrel 3}
License:	BSD
Group:		Development/Python
URL:		http://news.tiker.net/software/tagpy
Source0:	http://news.tiker.net/news.tiker.net/download/software/tagpy/tagpy-%{version}.tar.gz
Source1:	tagpy-LICENSE
Patch0:		tagpy-0.94.5-baz.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
%{py_requires -d}
BuildRequires:	python-setuptools
BuildRequires:	taglib-devel
BuildRequires:	boost-devel

%description
TagPy is a Python crust (or a set of Python bindings) for TagLib, which allows
to read and write ID3 tags of version 1 and 2, access Xiph Comments in Ogg
Vorbis Files and Ogg Flac Files and access APE tags in Musepack and MP3 files.

%prep
%setup -q -n %{shortname}-%{version}
%patch0 -p1 -b .baz
%{__install} -p -m 0644 %{SOURCE1} LICENSE

%build
./configure --boost-python-libname=boost_python-mt
CFLAGS="%{optflags} -I%{_includedir}/taglib" %{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README test/*.py test/tagrename
%{py_platsitedir}/%{shortname}/
%{py_platsitedir}/_%{shortname}.so
%{py_platsitedir}/%{shortname}-%{version}-py%{pyver}.egg-info


%changelog
* Wed Dec 31 2008 Adam Williamson <awilliamson@mandriva.com> 0.94.5-3mdv2009.1
+ Revision: 321615
- fix python requires
- rebuild for python 2.6
- fix file list for differing python versions

* Mon Dec 22 2008 Funda Wang <fundawang@mandriva.org> 0.94.5-2mdv2009.1
+ Revision: 317403
- rebuild for new boost

* Sun Dec 14 2008 Adam Williamson <awilliamson@mandriva.com> 0.94.5-1mdv2009.1
+ Revision: 314071
- rebuild for new(ish) boost
- jump through a couple of hoops with the new configure script and taglib's
  header location
- rediff baz.patch (file was moved)
- new release 0.94.5

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Erwan Velu <erwan@mandriva.org>
    - Rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Nov 23 2007 Jérôme Soyer <saispo@mandriva.org> 0.91-1mdv2008.1
+ Revision: 111580
- import python-tagpy


